# NewGamePhysics.Physics.GravityMarsNormalModel Class Reference

Model of earth's gravity g based on an elliptical shape. More...

List of all members.

## Static Public Member Functions
static double | Calculate (double latitude)
| Calculate latitude dependent normal gravity of Mars. References: Hofmann-Wellenhof, B. & Moritz, H. (2006), Physical Geodesy, 2nd corr., Springer Wien NewYork. pp. 77-81. Huber, L. & Beebe, R. (2009), Nasa mars data archive. http://atmos.pds.nasa.gov/data_and_services/atmospheres_data/Mars/Mars.html.
## Public Attributes
const double | EquatorialGravity = 3.71
const double | SemiMajorAxis = 3396.0
const double | SemiMajorAxisJpl = 3397.0
const double | GM = 4.282837519531400e+13
const double | GMJpl = 42828.35796
const double | RotationRate = 7.088218066303858e-05
const double | RotationRateJpl = 7.088218081e-5
const double | InverseFlattening = 196.877360
const double | Flattening = 5.079304192e-3

## Detailed Description

Model of earth's gravity g based on an elliptical shape.

Definition at line 16 of file GravityMarsNormalModel.cs.

## Member Function Documentation

static double NewGamePhysics.Physics.GravityMarsNormalModel.Calculate | ( | double | latitude | ) | `[static]`

Calculate latitude dependent normal gravity of Mars. References: Hofmann-Wellenhof, B. & Moritz, H. (2006), Physical Geodesy, 2nd corr., Springer Wien NewYork. pp. 77-81. Huber, L. & Beebe, R. (2009), Nasa mars data archive. http://atmos.pds.nasa.gov/data_and_services/atmospheres_data/Mars/Mars.html.

Parameters:

  | latitude | The latitude in degrees.

Returns:
  The gravity in m/s^2

Definition at line 74 of file GravityMarsNormalModel.cs.

    00075         {
    00076             // Model gravity for ellipse
    00077             double latRad = latitude * Math.PI / 180.0;
    00078             double sinLat = Math.Sin(latRad);
    00079             double sin2Lat = Math.Sin(2.0 * latRad);
    00080             double sinLat2 = sinLat * sinLat;
    00081             double sin2Lat2 = sin2Lat * sin2Lat;
    00082             double value = 3.7114219 + 0.02400635 * sinLat2 - 4.2212837e-5 * sin2Lat2;
    00083             return value;
    00084         }

The documentation for this class was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/NewGamePhysics/Physics/GravityMarsNormalModel.cs